#
# spec file for package xsysinfo (Version 1.7)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         xsysinfo
Copyright:    MIT
Group:        X11/Utilities
Provides:     sysin12 
Autoreqprov:  on
Version:      1.7
Release:      261
Summary:      Displays the system load
Source:       ftp://sunsite.unc.edu/pub/Linux/system/status/xstatus/%{name}-%{version}.tar.gz
Patch:        %{name}-%{version}.dif
BuildRoot:    /tmp/%{name}-%{version}-build

%description
This program displays information about the load of your
system. CPU Load, CPU idle, Memory and Swap are displayed constantly.

Authors:
--------
    Gabor Herr <herr@iti.informatik.th-darmstadt.de>

SuSE series: xap

%prep
%setup
%patch
# need this ugly hack for new imake
echo "Shit" > xsysinfo.man
xmkmf -a

%build
make all

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc README
/usr/X11R6/bin/xsysinfo
%config /usr/X11R6/lib/X11/app-defaults/XSysinfo
%config /usr/X11R6/lib/X11/app-defaults/XSysinfo-color

%changelog -n xsysinfo
* Mon Jun 11 2001 - pblaha@suse.cz
-  create empty xsysinfo.man for work with new imake
* Thu May 24 2001 - pblaha@suse.cz
- fix include on ia64
* Fri May 26 2000 - bubnikv@suse.cz
- sorted
* Fri May 05 2000 - bubnikv@suse.cz
- added buildroot
* Wed Jan 26 2000 - ro@suse.de
-  update to 1.7
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Oct 13 1997 - ro@suse.de
- new version 1.5 / no more dif file
  ready for autobuild
